.header-menu {
  display: inline-flex;
  flex-direction: column;
  margin-bottom: 23px;
  padding: 13px;
  width: 44px;
  background-color: $dark-color;
  overflow: hidden;

  &--opened {
    & .header-menu__line {
      &:nth-child(1) {
        transform: translate(1px, 4px) rotate(45deg);
      }

      &:nth-child(2) {
        opacity: 0;
      }

      &:nth-child(3) {
        transform: translate(1px, -4px) rotate(-45deg);
      }
    }
  }

  &__line {
    height: 2px;
    background-color: $light-color;
    transition: transform 0.3s linear;

    &:not(:last-child) {
      margin-bottom: 2px;
    }
  }
}
